<?php
/*
 * 74cms 企业会员中心
 * ============================================================================
 * 版权所有: 骑士网络，并保留所有权利。
 * 网站地址: http://www.74cms.com；
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和
 * 使用；不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
*/
if(!defined('IN_QISHI')) die('Access Denied!');
$page_select="user";
require_once(dirname(dirname(dirname(__FILE__))).'/include/common.inc.php');
require_once(QISHI_ROOT_PATH.'include/mysql.class.php');
require_once(QISHI_ROOT_PATH.'include/fun_company.php');
require_once(QISHI_ROOT_PATH.'include/fun_user.php');
$db = new mysql($dbhost,$dbuser,$dbpass,$dbname);
	if ($_SESSION['uid']=='' || $_SESSION['username']=='')
	{
		header("Location: ".url_rewrite('QS_index')."?url=".urlencode($_SERVER["REQUEST_URI"]));
	}
	elseif ($_SESSION['utype']!='1') 
	{
	$link[0]['text'] = "会员中心";
	$link[0]['href'] = url_rewrite('QS_index');
	showmsg('您访问的页面需要 企业会员 登录！',1,$link);
	}
	$act = !empty($_GET['act']) ? trim($_GET['act']) : 'index';
	$smarty->cache = false;
	$parentuid = intval($_SESSION['parentuid']);
	$uid = intval($_SESSION['uid']);
	$main_user = get_user_info($parentuid);
	if($main_user['status']=="2" && $act!='index'){
		showmsg('您的主账号处于暂停状态，请先联系网站管理员设为正常后进行操作！',1);	
	}
	$consultant = get_consultant(intval($main_user['consultant']));
	$user=get_user_info($uid);
	$setmeal=get_user_setmeal($parentuid);
	$setmeal['setmeal_name'] = cut_str($setmeal['setmeal_name'],9,0,"..");
	$points=get_user_points($parentuid);
	$smarty->assign('setmeal',$setmeal);
	$smarty->assign('points',$points);
	if (empty($main_user) || empty($user))
	{
	unset($_SESSION['utype'],$_SESSION['uid'],$_SESSION['parentuid'],$_SESSION['username']);
	header("Location: ".url_rewrite('QS_index')."?url=".$_SERVER["REQUEST_URI"]);
	}
	// 第一步企业基本信息
	$company_info=get_company($parentuid);
	$company_info = array_map("addslashes",$company_info);
	if(empty($company_info) && $act!="reg_baseinfo" && $act!="reg_baseinfo_save")
	{
		header("Location:company_info.php?act=reg_baseinfo");
	}
	// 第二步 营业执照
	if($company_info['certificate_img']=='' && $company_info['audit']!="1" && $act!="company_auth" && $act!="company_auth_save" && $act!="company_auth_complete" && $act!="reg_baseinfo" && $act!="reg_baseinfo_save" && $act!="company_profile" && $act!="company_profile_save")
	{
		$link[0]['text'] = "上传认证营业执照";
		$link[0]['href'] = "company_info.php?act=company_auth";
		showmsg('您还没有认证营业执照请先认证营业执照',1,$link);
	}
	if($setmeal['setmeal_id']!=1)
	{
		if($company_info['certificate_img']!='' && $company_info['audit']!="1" && $act!="company_auth" && $act!="company_auth_save" && $act!="company_auth_complete" && $act!="reg_baseinfo" && $act!="reg_baseinfo_save" && $act!="company_profile" && $act!="company_profile_save")
		{
			$link[0]['text'] = "返回";
			$link[0]['href'] = "company_info.php?act=company_auth_complete";
			showmsg('您已经上传营业执照,请等待管理员审核!',1,$link);
		}
	}
	//消息数
	$sql1="SELECT COUNT(*) AS num FROM ".table("pms_sys")."  where uid={$_SESSION['uid']} and is_look=1 ";
	$count1=$db->get_total($sql1);
	$_SESSION['company_count']=intval($count1);
?>